/*
 */

import com.comsol.model.*;
import com.comsol.model.util.*;

/** Model exported on Apr 5 2019, 12:14 by COMSOL 5.3.1.348. */
public class acoustic_scatterers {

  public static Model run() {
    Model model = ModelUtil.create("Model");

    model.modelPath("D:\\dev_D\\comsol_optimiser\\src\\main\\resources\\comsol_program");

    model.label("acoustic_scatterers.mph");

    model.param().set("c0", "343[m/s]");
    model.param().set("rhoA", "1.2041[kg/m^3]");
    model.param().set("freq", "40000[1/s]");
    model.param().set("lam", "c0/freq");
    model.param().set("kk", "2*pi/lam");
    model.param().set("radius_central_pipe", "lam");
    model.param().set("scatterers_max_distance", "5*radius_central_pipe");
    model.param().set("radius_scatterer", "0.6/1000");

    model.component().create("comp1", false);

    model.component("comp1").geom().create("geom1", 2);

    model.result().table().create("tbl1", "Table");
    model.result().table().create("tbl2", "Table");
    model.result().table().create("evl2", "Table");

    model.component("comp1").mesh().create("mesh1");

    model.component("comp1").geom("geom1").create("r1", "Rectangle");
    model.component("comp1").geom("geom1").feature("r1").label("outer_box");
    model.component("comp1").geom("geom1").feature("r1").set("pos", new int[]{0, 0});
    model.component("comp1").geom("geom1").feature("r1").set("base", "center");
    model.component("comp1").geom("geom1").feature("r1").set("layername", new String[]{"Layer 1"});
    model.component("comp1").geom("geom1").feature("r1").setIndex("layer", "2/100", 0);
    model.component("comp1").geom("geom1").feature("r1").set("layerleft", true);
    model.component("comp1").geom("geom1").feature("r1").set("layerright", true);
    model.component("comp1").geom("geom1").feature("r1").set("layertop", true);
    model.component("comp1").geom("geom1").feature("r1").set("size", new String[]{"20/100", "20/100"});
    model.component("comp1").geom("geom1").create("c1", "Circle");
    model.component("comp1").geom("geom1").feature("c1").active(false);
    model.component("comp1").geom("geom1").feature("c1").label("central_pipe");
    model.component("comp1").geom("geom1").feature("c1").set("r", "radius_central_pipe");
    model.component("comp1").geom("geom1").create("c3", "Circle");
    model.component("comp1").geom("geom1").feature("c3").label("max_radial_distance_scatterers");
    model.component("comp1").geom("geom1").feature("c3").set("pos", new int[]{0, 0});
    model.component("comp1").geom("geom1").feature("c3").set("r", "scatterers_max_distance");
    model.component("comp1").geom("geom1").create("c2", "Circle");
    model.component("comp1").geom("geom1").feature("c2").active(false);
    model.component("comp1").geom("geom1").feature("c2").label("scatterer");
    model.component("comp1").geom("geom1").feature("c2")
         .set("pos", new double[]{0.038718580969771, -0.003274001930064});
    model.component("comp1").geom("geom1").feature("c2").set("r", "radius_scatterer");
    model.component("comp1").geom("geom1").create("c4", "Circle");
    model.component("comp1").geom("geom1").feature("c4").active(false);
    model.component("comp1").geom("geom1").feature("c4").label("scatterer 1");
    model.component("comp1").geom("geom1").feature("c4")
         .set("pos", new double[]{0.02481338003208, -0.026857555922294});
    model.component("comp1").geom("geom1").feature("c4").set("r", "radius_scatterer");
    model.component("comp1").geom("geom1").create("c5", "Circle");
    model.component("comp1").geom("geom1").feature("c5").active(false);
    model.component("comp1").geom("geom1").feature("c5").label("scatterer 1.1");
    model.component("comp1").geom("geom1").feature("c5")
         .set("pos", new double[]{0.032737197077148, 0.014314574841706});
    model.component("comp1").geom("geom1").feature("c5").set("r", "radius_scatterer");
    model.component("comp1").geom("geom1").create("c6", "Circle");
    model.component("comp1").geom("geom1").feature("c6").active(false);
    model.component("comp1").geom("geom1").feature("c6").label("scatterer 1.1.1");
    model.component("comp1").geom("geom1").feature("c6")
         .set("pos", new double[]{-0.012029574193398, -0.027320265321606});
    model.component("comp1").geom("geom1").feature("c6").set("r", "radius_scatterer");
    model.component("comp1").geom("geom1").run();
    model.component("comp1").geom("geom1").run("fin");

    model.component("comp1").selection().create("ball1", "Ball");
    model.component("comp1").selection("ball1").set("entitydim", 1);
    model.component("comp1").selection().create("ball2", "Ball");
    model.component("comp1").selection().create("ball3", "Ball");
    model.component("comp1").selection().create("com1", "Complement");
    model.component("comp1").selection().create("box1", "Box");
    model.component("comp1").selection("ball1").label("Ball 1 boundaries");
    model.component("comp1").selection("ball1").set("r", "scatterers_max_distance*0.9999");
    model.component("comp1").selection("ball1").set("condition", "inside");
    model.component("comp1").selection("ball2").label("Ball 2 domains");
    model.component("comp1").selection("ball2").set("r", "scatterers_max_distance*0.9999");
    model.component("comp1").selection("ball2").set("condition", "inside");
    model.component("comp1").selection("ball3").label("Ball 3 domains out");
    model.component("comp1").selection("ball3").set("r", "scatterers_max_distance*1.0001");
    model.component("comp1").selection("ball3").set("condition", "inside");
    model.component("comp1").selection("com1").set("input", new String[]{"ball2"});
    model.component("comp1").selection("box1").set("xmin", -0.06);
    model.component("comp1").selection("box1").set("xmax", -0.055);
    model.component("comp1").selection("box1").set("ymin", -0.06);
    model.component("comp1").selection("box1").set("ymax", 0.06);

    model.component("comp1").variable().create("var4");
    model.component("comp1").variable("var4").set("eraser", "1");
    model.component("comp1").variable("var4").selection().named("com1");
    model.component("comp1").variable().create("var2");
    model.component("comp1").variable("var2").set("geomFinder", "1");
    model.component("comp1").variable("var2").selection().named("ball2");
    model.component("comp1").variable().create("var3");
    model.component("comp1").variable("var3").set("geomFinder", "0", "Finds the");
    model.component("comp1").variable("var3").selection().named("com1");
    model.component("comp1").variable().create("var5");
    model.component("comp1").variable("var5").set("blanking_limit2", "0.006");
    model.component("comp1").variable("var5").set("blanking_limit1", "0.08-2.5*lam");

    model.component("comp1").view("view1").hideObjects().create("hide1");
    model.component("comp1").view().create("view2", "geom1");
    model.component("comp1").view("view2").hideObjects().create("hide1");

    model.component("comp1").coordSystem().create("pml1", "PML");
    model.component("comp1").coordSystem("pml1").selection().set(new int[]{1, 2, 3, 4, 6, 7, 8, 9});

    model.component("comp1").physics().create("acpr", "PressureAcoustics", "geom1");
    model.component("comp1").physics("acpr").create("bpf1", "BackgroundPressureField", 2);
    model.component("comp1").physics("acpr").feature("bpf1").selection().all();
    model.component("comp1").physics("acpr").create("ishb1", "InteriorSoundHard", 1);
    model.component("comp1").physics("acpr").feature("ishb1").selection().named("ball1");

    model.component("comp1").mesh("mesh1").create("ftri2", "FreeTri");
    model.component("comp1").mesh("mesh1").create("ftri3", "FreeTri");
    model.component("comp1").mesh("mesh1").create("map1", "Map");
    model.component("comp1").mesh("mesh1").feature("ftri2").selection().named("ball3");
    model.component("comp1").mesh("mesh1").feature("ftri2").create("size1", "Size");
    model.component("comp1").mesh("mesh1").feature("ftri3").selection().named("box1");
    model.component("comp1").mesh("mesh1").feature("ftri3").create("size1", "Size");
    model.component("comp1").mesh("mesh1").feature("map1").selection().geom("geom1", 2);
    model.component("comp1").mesh("mesh1").feature("map1").selection().set(new int[]{1, 2, 3, 4, 6, 7, 8, 9});
    model.component("comp1").mesh("mesh1").feature("map1").create("dis1", "Distribution");
    model.component("comp1").mesh("mesh1").feature("map1").feature("dis1").selection().set(new int[]{4, 12, 15, 20});

    model.result().table("tbl1").comments("Line Integration 1 ()");
    model.result().table("tbl2").comments("Line Integration 1 (abs(acpr.p_s)/0.10005)");
    model.result().table("evl2").label("Evaluation 2D");
    model.result().table("evl2").comments("Interactive 2D values");

    model.capeopen().label("Thermodynamics Package");

    model.component("comp1").variable("var4").label("Variables 1");
    model.component("comp1").variable("var5").label("graph_hider_vars");

    model.component("comp1").view("view1").axis().set("xmin", -0.1255684494972229);
    model.component("comp1").view("view1").axis().set("xmax", 0.1255684494972229);
    model.component("comp1").view("view1").axis().set("ymin", -0.11880511045455933);
    model.component("comp1").view("view1").axis().set("ymax", 0.11880511045455933);
    model.component("comp1").view("view1").axis().set("abstractviewlratio", -0.2222737967967987);
    model.component("comp1").view("view1").axis().set("abstractviewrratio", 0.2222737967967987);
    model.component("comp1").view("view1").axis().set("abstractviewbratio", -0.049999989569187164);
    model.component("comp1").view("view1").axis().set("abstractviewtratio", 0.049999989569187164);
    model.component("comp1").view("view1").axis().set("abstractviewxscale", 2.5522042415104806E-4);
    model.component("comp1").view("view1").axis().set("abstractviewyscale", 2.5522042415104806E-4);
    model.component("comp1").view("view1").hideObjects("hide1").init(1);
    model.component("comp1").view("view2").set("locked", true);
    model.component("comp1").view("view2").axis().set("xmin", -0.08);
    model.component("comp1").view("view2").axis().set("xmax", 0.08);
    model.component("comp1").view("view2").axis().set("ymin", -0.08);
    model.component("comp1").view("view2").axis().set("ymax", 0.08);
    model.component("comp1").view("view2").axis().set("abstractviewlratio", -0.04462353512644768);
    model.component("comp1").view("view2").axis().set("abstractviewrratio", 0.04462353512644768);
    model.component("comp1").view("view2").axis().set("abstractviewbratio", 0.10044842213392258);
    model.component("comp1").view("view2").axis().set("abstractviewtratio", -0.09921520203351974);
    model.component("comp1").view("view2").axis().set("abstractviewxscale", 1.794476411305368E-4);
    model.component("comp1").view("view2").axis().set("abstractviewyscale", 1.794476411305368E-4);
    model.component("comp1").view("view2").hideObjects("hide1").init(1);
    model.component("comp1").view("view2").hideObjects("hide1").set("fin(1)", new int[]{25, 26, 27, 28});

    model.component("comp1").physics("acpr").feature("fpam1").set("rho", "rhoA");
    model.component("comp1").physics("acpr").feature("fpam1").set("c", "c0");
    model.component("comp1").physics("acpr").feature("bpf1").set("pamp", 1);
    model.component("comp1").physics("acpr").feature("bpf1").set("c", "c0");

    model.component("comp1").mesh("mesh1").feature("ftri2").feature("size1").set("hauto", 1);
    model.component("comp1").mesh("mesh1").feature("ftri2").feature("size1").set("custom", "on");
    model.component("comp1").mesh("mesh1").feature("ftri2").feature("size1").set("hmax", 0.001);
    model.component("comp1").mesh("mesh1").feature("ftri2").feature("size1").set("hmaxactive", true);
    model.component("comp1").mesh("mesh1").feature("ftri3").feature("size1").set("hauto", 1);
    model.component("comp1").mesh("mesh1").feature("ftri3").feature("size1").set("custom", "on");
    model.component("comp1").mesh("mesh1").feature("ftri3").feature("size1").set("hmax", 0.0015);
    model.component("comp1").mesh("mesh1").feature("ftri3").feature("size1").set("hmaxactive", true);
    model.component("comp1").mesh("mesh1").feature("map1").feature("dis1").set("numelem", 8);
    model.component("comp1").mesh("mesh1").run();

    model.component("comp1").physics("acpr").feature("fpam1").set("rho_mat", "userdef");
    model.component("comp1").physics("acpr").feature("fpam1").set("c_mat", "userdef");

    model.study().create("std1");
    model.study("std1").create("freq", "Frequency");
    model.study("std1").feature("freq").set("activate", new String[]{"acpr", "on"});

    model.sol().create("sol1");
    model.sol("sol1").study("std1");
    model.sol("sol1").attach("std1");
    model.sol("sol1").create("st1", "StudyStep");
    model.sol("sol1").create("v1", "Variables");
    model.sol("sol1").create("s1", "Stationary");
    model.sol("sol1").feature("s1").create("p1", "Parametric");
    model.sol("sol1").feature("s1").create("fc1", "FullyCoupled");
    model.sol("sol1").feature("s1").feature().remove("fcDef");

    model.batch().create("s1", "Sequence");
    model.batch("s1").create("so1", "Solutionseq");
    model.batch("s1").create("ex1", "Exportseq");
    model.batch("s1").study("std1");

    model.result().dataset().create("cln1", "CutLine2D");
    model.result().dataset().create("cln2", "CutLine2D");
    model.result().numerical().create("int1", "IntLine");
    model.result().numerical("int1").set("probetag", "none");
    model.result().create("pg1", "PlotGroup2D");
    model.result().create("pg3", "PlotGroup2D");
    model.result().create("pg4", "PlotGroup2D");
    model.result().create("pg2", "PlotGroup2D");
    model.result().create("pg5", "PlotGroup2D");
    model.result().create("pg6", "PlotGroup2D");
    model.result().create("pg7", "PlotGroup2D");
    model.result().create("pg8", "PlotGroup2D");
    model.result().create("pg9", "PlotGroup2D");
    model.result("pg1").create("surf1", "Surface");
    model.result("pg3").create("surf1", "Surface");
    model.result("pg4").create("surf1", "Surface");
    model.result("pg2").create("surf2", "Surface");
    model.result("pg5").create("surf1", "Surface");
    model.result("pg6").create("surf1", "Surface");
    model.result("pg7").create("surf1", "Surface");
    model.result("pg8").create("surf1", "Surface");
    model.result("pg9").create("surf1", "Surface");
    model.result().export().create("img1", "Image2D");
    model.result().export().create("img3", "Image2D");
    model.result().export().create("img2", "Image2D");
    model.result().export().create("img4", "Image2D");
    model.result().export().create("img5", "Image2D");
    model.result().export().create("img6", "Image2D");
    model.result().export().create("img7", "Image2D");
    model.result().export().create("img8", "Image2D");
    model.result().export().create("img9", "Image2D");
    model.result().export().create("data1", "Data");
    model.result().export().create("data2", "Data");
    model.result().export().create("data3", "Data");
    model.result().export().create("data4", "Data");
    model.result().export().create("data5", "Data");
    model.result().export().create("data6", "Data");
    model.result().export().create("data7", "Data");

    model.study("std1").feature("freq").set("plist", "freq");
    model.study("std1").feature("freq").set("discretization", new String[]{"acpr", "physics"});

    model.sol("sol1").attach("std1");
    model.sol("sol1").feature("v1").set("clistctrl", new String[]{"p1"});
    model.sol("sol1").feature("v1").set("cname", new String[]{"freq"});
    model.sol("sol1").feature("v1").set("clist", new String[]{"freq"});
    model.sol("sol1").feature("s1").feature("aDef").set("complexfun", true);
    model.sol("sol1").feature("s1").feature("p1").set("pname", new String[]{"freq"});
    model.sol("sol1").feature("s1").feature("p1").set("plistarr", new String[]{"freq"});
    model.sol("sol1").feature("s1").feature("p1").set("punit", new String[]{"Hz"});
    model.sol("sol1").feature("s1").feature("p1").set("pcontinuationmode", "no");
    model.sol("sol1").feature("s1").feature("p1").set("preusesol", "auto");
    model.sol("sol1").runAll();

    model.batch("s1").label("solve_and_export_sequence");
    model.batch("s1").feature("so1").label("run_main_solution_sequence");
    model.batch("s1").feature("so1").set("seq", "sol1");
    model.batch("s1").feature("ex1")
         .set("param", new String[]{"\"No parameters\"", "\"No parameters\"", "\"No parameters\"", "\"No parameters\"", "\"No parameters\"", "\"No parameters\"", "\"No parameters\"", "\"No parameters\"", "\"No parameters\""});

    model.result().dataset("cln1").set("genpoints", new double[][]{{-0.06, -0.08}, {-0.06, 0.08}});
    model.result().dataset("cln2").set("genpoints", new double[][]{{0.065, -0.08}, {0.065, 0.08}});
    model.result().dataset("cln2").set("spacevars", new String[]{"cln1x"});
    model.result().dataset("cln2").set("normal", new String[]{"cln1nx", "cln1ny"});
    model.result().numerical("int1").set("table", "tbl2");
    model.result().numerical("int1").set("expr", new String[]{"abs(acpr.p_s)/0.10005"});
    model.result().numerical("int1").set("unit", new String[]{"N/m"});
    model.result().numerical("int1").set("descr", new String[]{""});
    model.result().numerical("int1").setResult();
    model.result("pg1").label("real part");
    model.result("pg1").set("view", "view2");
    model.result("pg1").set("showhiddenobjects", true);
    model.result("pg1").set("edges", false);
    model.result("pg1").feature("surf1").set("expr", "real(acpr.p_s)*eraser");
    model.result("pg1").feature("surf1").set("descr", "real(acpr.p_s)*eraser");
    model.result("pg1").feature("surf1").set("rangecoloractive", true);
    model.result("pg1").feature("surf1").set("rangecolormin", -2);
    model.result("pg1").feature("surf1").set("rangecolormax", 2);
    model.result("pg1").feature("surf1").set("colorlegend", false);
    model.result("pg1").feature("surf1").set("resolution", "fine");
    model.result("pg1").feature("surf1").set("smooth", "internal");
    model.result("pg1").feature("surf1").set("resolution", "fine");
    model.result("pg3").label("imaginary part");
    model.result("pg3").set("view", "view2");
    model.result("pg3").set("showhiddenobjects", true);
    model.result("pg3").set("edges", false);
    model.result("pg3").feature("surf1").set("expr", "imag(acpr.p_s)*eraser");
    model.result("pg3").feature("surf1").set("descr", "imag(acpr.p_s)*eraser");
    model.result("pg3").feature("surf1").set("rangecoloractive", true);
    model.result("pg3").feature("surf1").set("rangecolormin", -2);
    model.result("pg3").feature("surf1").set("rangecolormax", 2);
    model.result("pg3").feature("surf1").set("colorlegend", false);
    model.result("pg3").feature("surf1").set("resolution", "fine");
    model.result("pg3").feature("surf1").set("smooth", "internal");
    model.result("pg3").feature("surf1").set("resolution", "fine");
    model.result("pg4").label("absolute value");
    model.result("pg4").set("view", "view2");
    model.result("pg4").set("showhiddenobjects", true);
    model.result("pg4").set("edges", false);
    model.result("pg4").feature("surf1").set("expr", "abs(acpr.p_s)*eraser");
    model.result("pg4").feature("surf1").set("descr", "abs(acpr.p_s)*eraser");
    model.result("pg4").feature("surf1").set("rangecoloractive", true);
    model.result("pg4").feature("surf1").set("rangecolormax", 2);
    model.result("pg4").feature("surf1").set("colorlegend", false);
    model.result("pg4").feature("surf1").set("resolution", "fine");
    model.result("pg4").feature("surf1").set("smooth", "internal");
    model.result("pg4").feature("surf1").set("resolution", "fine");
    model.result("pg2").label("geometry");
    model.result("pg2").set("view", "view2");
    model.result("pg2").set("showlegends", false);
    model.result("pg2").feature("surf2").set("expr", "geomFinder");
    model.result("pg2").feature("surf2").set("unit", "");
    model.result("pg2").feature("surf2").set("descr", "");
    model.result("pg2").feature("surf2").set("rangecoloractive", true);
    model.result("pg2").feature("surf2").set("rangecolormax", 1);
    model.result("pg2").feature("surf2").set("colortable", "GrayScale");
    model.result("pg2").feature("surf2").set("colorlegend", false);
    model.result("pg2").feature("surf2").set("resolution", "fine");
    model.result("pg2").feature("surf2").set("smooth", "internal");
    model.result("pg2").feature("surf2").set("resolution", "fine");
    model.result("pg5").label("combined value total");
    model.result("pg5").feature("surf1").set("expr", "acpr.p_t*eraser");
    model.result("pg5").feature("surf1").set("descr", "acpr.p_t*eraser");
    model.result("pg5").feature("surf1").set("resolution", "normal");
    model.result("pg6").label("combined value total blanked");
    model.result("pg6").set("edges", false);
    model.result("pg6").feature("surf1")
         .set("expr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (-0.08 >= x && x>=0.08), -1.5, acpr.p_t)");
    model.result("pg6").feature("surf1")
         .set("descr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (-0.08 >= x && x>=0.08), -1.5, acpr.p_t)");
    model.result("pg6").feature("surf1").set("resolution", "normal");
    model.result("pg7").label("combined value total blanked thermal");
    model.result("pg7").set("edges", false);
    model.result("pg7").feature("surf1")
         .set("expr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, acpr.p_t)");
    model.result("pg7").feature("surf1")
         .set("descr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, acpr.p_t)");
    model.result("pg7").feature("surf1").set("colortable", "Thermal");
    model.result("pg7").feature("surf1").set("resolution", "normal");
    model.result("pg8").label("absolute value pressure blanked");
    model.result("pg8").set("view", "view2");
    model.result("pg8").set("showhiddenobjects", true);
    model.result("pg8").set("edges", false);
    model.result("pg8").feature("surf1")
         .set("expr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, (abs(acpr.p_s)))");
    model.result("pg8").feature("surf1")
         .set("descr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, (abs(acpr.p_s)))");
    model.result("pg8").feature("surf1").set("rangecoloractive", true);
    model.result("pg8").feature("surf1").set("rangecolormax", 2);
    model.result("pg8").feature("surf1").set("colorlegend", false);
    model.result("pg8").feature("surf1").set("resolution", "fine");
    model.result("pg8").feature("surf1").set("smooth", "internal");
    model.result("pg8").feature("surf1").set("resolution", "fine");
    model.result("pg9").label("absolute value pressure blanked thermal");
    model.result("pg9").set("view", "view2");
    model.result("pg9").set("showhiddenobjects", true);
    model.result("pg9").set("edges", false);
    model.result("pg9").feature("surf1")
         .set("expr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, abs(acpr.p_s))");
    model.result("pg9").feature("surf1")
         .set("descr", "if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, abs(acpr.p_s))");
    model.result("pg9").feature("surf1").set("rangecoloractive", true);
    model.result("pg9").feature("surf1").set("rangecolormax", 2);
    model.result("pg9").feature("surf1").set("colortable", "Thermal");
    model.result("pg9").feature("surf1").set("colorlegend", false);
    model.result("pg9").feature("surf1").set("resolution", "fine");
    model.result("pg9").feature("surf1").set("smooth", "internal");
    model.result("pg9").feature("surf1").set("resolution", "fine");
    model.result().export("img1").label("2D Image real part");
    model.result().export("img1").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zzreal.png");
    model.result().export("img1").set("printunit", "mm");
    model.result().export("img1").set("webunit", "px");
    model.result().export("img1").set("printheight", "90");
    model.result().export("img1").set("webheight", "1200");
    model.result().export("img1").set("printwidth", "120");
    model.result().export("img1").set("webwidth", "1200");
    model.result().export("img1").set("printlockratio", "off");
    model.result().export("img1").set("weblockratio", "off");
    model.result().export("img1").set("printresolution", "300");
    model.result().export("img1").set("webresolution", "96");
    model.result().export("img1").set("size", "manualweb");
    model.result().export("img1").set("antialias", "off");
    model.result().export("img1").set("zoomextents", "off");
    model.result().export("img1").set("title", "on");
    model.result().export("img1").set("legend", "on");
    model.result().export("img1").set("logo", "off");
    model.result().export("img1").set("options", "off");
    model.result().export("img1").set("fontsize", "9");
    model.result().export("img1").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img1").set("background", "color");
    model.result().export("img1").set("axes", "on");
    model.result().export("img1").set("qualitylevel", "92");
    model.result().export("img1").set("qualityactive", "off");
    model.result().export("img1").set("imagetype", "png");
    model.result().export("img3").label("2D Image imaginary part");
    model.result().export("img3").set("plotgroup", "pg3");
    model.result().export("img3").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zzimaginary.png");
    model.result().export("img3").set("printunit", "mm");
    model.result().export("img3").set("webunit", "px");
    model.result().export("img3").set("printheight", "90");
    model.result().export("img3").set("webheight", "1200");
    model.result().export("img3").set("printwidth", "120");
    model.result().export("img3").set("webwidth", "1200");
    model.result().export("img3").set("printlockratio", "off");
    model.result().export("img3").set("weblockratio", "off");
    model.result().export("img3").set("printresolution", "300");
    model.result().export("img3").set("webresolution", "96");
    model.result().export("img3").set("size", "manualweb");
    model.result().export("img3").set("antialias", "off");
    model.result().export("img3").set("zoomextents", "off");
    model.result().export("img3").set("title", "on");
    model.result().export("img3").set("legend", "on");
    model.result().export("img3").set("logo", "off");
    model.result().export("img3").set("options", "off");
    model.result().export("img3").set("fontsize", "9");
    model.result().export("img3").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img3").set("background", "color");
    model.result().export("img3").set("axes", "on");
    model.result().export("img3").set("qualitylevel", "92");
    model.result().export("img3").set("qualityactive", "off");
    model.result().export("img3").set("imagetype", "png");
    model.result().export("img2").label("2D Image geometry");
    model.result().export("img2").set("plotgroup", "pg2");
    model.result().export("img2").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zzgeometry.png");
    model.result().export("img2").set("printunit", "mm");
    model.result().export("img2").set("webunit", "px");
    model.result().export("img2").set("printheight", "90");
    model.result().export("img2").set("webheight", "1200");
    model.result().export("img2").set("printwidth", "120");
    model.result().export("img2").set("webwidth", "1200");
    model.result().export("img2").set("printlockratio", "off");
    model.result().export("img2").set("weblockratio", "off");
    model.result().export("img2").set("printresolution", "300");
    model.result().export("img2").set("webresolution", "96");
    model.result().export("img2").set("size", "manualweb");
    model.result().export("img2").set("antialias", "off");
    model.result().export("img2").set("zoomextents", "off");
    model.result().export("img2").set("title", "on");
    model.result().export("img2").set("legend", "on");
    model.result().export("img2").set("logo", "off");
    model.result().export("img2").set("options", "off");
    model.result().export("img2").set("fontsize", "9");
    model.result().export("img2").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img2").set("background", "color");
    model.result().export("img2").set("axes", "on");
    model.result().export("img2").set("qualitylevel", "92");
    model.result().export("img2").set("qualityactive", "off");
    model.result().export("img2").set("imagetype", "png");
    model.result().export("img4").label("2D Image absolute_value");
    model.result().export("img4").set("plotgroup", "pg4");
    model.result().export("img4").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zzabs.png");
    model.result().export("img4").set("printunit", "mm");
    model.result().export("img4").set("webunit", "px");
    model.result().export("img4").set("printheight", "90");
    model.result().export("img4").set("webheight", "1200");
    model.result().export("img4").set("printwidth", "120");
    model.result().export("img4").set("webwidth", "1200");
    model.result().export("img4").set("printlockratio", "off");
    model.result().export("img4").set("weblockratio", "off");
    model.result().export("img4").set("printresolution", "300");
    model.result().export("img4").set("webresolution", "96");
    model.result().export("img4").set("size", "manualweb");
    model.result().export("img4").set("antialias", "off");
    model.result().export("img4").set("zoomextents", "off");
    model.result().export("img4").set("title", "on");
    model.result().export("img4").set("legend", "on");
    model.result().export("img4").set("logo", "off");
    model.result().export("img4").set("options", "off");
    model.result().export("img4").set("fontsize", "9");
    model.result().export("img4").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img4").set("background", "color");
    model.result().export("img4").set("axes", "on");
    model.result().export("img4").set("qualitylevel", "92");
    model.result().export("img4").set("qualityactive", "off");
    model.result().export("img4").set("imagetype", "png");
    model.result().export("img5").label("2D Image Combined total");
    model.result().export("img5").set("plotgroup", "pg5");
    model.result().export("img5").set("view", "view2");
    model.result().export("img5").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zztotal.png");
    model.result().export("img5").set("printunit", "mm");
    model.result().export("img5").set("webunit", "px");
    model.result().export("img5").set("printheight", "90");
    model.result().export("img5").set("webheight", "1200");
    model.result().export("img5").set("printwidth", "120");
    model.result().export("img5").set("webwidth", "1200");
    model.result().export("img5").set("printlockratio", "off");
    model.result().export("img5").set("weblockratio", "off");
    model.result().export("img5").set("printresolution", "300");
    model.result().export("img5").set("webresolution", "96");
    model.result().export("img5").set("size", "manualweb");
    model.result().export("img5").set("antialias", "off");
    model.result().export("img5").set("zoomextents", "off");
    model.result().export("img5").set("title", "on");
    model.result().export("img5").set("legend", "on");
    model.result().export("img5").set("logo", "off");
    model.result().export("img5").set("options", "off");

    return model;
  }

  public static Model run2(Model model) {
    model.result().export("img5").set("fontsize", "9");
    model.result().export("img5").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img5").set("background", "color");
    model.result().export("img5").set("axes", "on");
    model.result().export("img5").set("qualitylevel", "92");
    model.result().export("img5").set("qualityactive", "off");
    model.result().export("img5").set("imagetype", "png");
    model.result().export("img6").label("2D Image combined total blanked");
    model.result().export("img6").set("plotgroup", "pg6");
    model.result().export("img6").set("view", "view2");
    model.result().export("img6").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zztotal_blanked.png");
    model.result().export("img6").set("printunit", "mm");
    model.result().export("img6").set("webunit", "px");
    model.result().export("img6").set("printheight", "90");
    model.result().export("img6").set("webheight", "1200");
    model.result().export("img6").set("printwidth", "120");
    model.result().export("img6").set("webwidth", "1200");
    model.result().export("img6").set("printlockratio", "off");
    model.result().export("img6").set("weblockratio", "off");
    model.result().export("img6").set("printresolution", "300");
    model.result().export("img6").set("webresolution", "96");
    model.result().export("img6").set("size", "manualweb");
    model.result().export("img6").set("antialias", "off");
    model.result().export("img6").set("zoomextents", "off");
    model.result().export("img6").set("title", "on");
    model.result().export("img6").set("legend", "on");
    model.result().export("img6").set("logo", "off");
    model.result().export("img6").set("options", "off");
    model.result().export("img6").set("fontsize", "9");
    model.result().export("img6").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img6").set("background", "color");
    model.result().export("img6").set("axes", "on");
    model.result().export("img6").set("qualitylevel", "92");
    model.result().export("img6").set("qualityactive", "off");
    model.result().export("img6").set("imagetype", "png");
    model.result().export("img7").label("2D Image combined blanked thermal");
    model.result().export("img7").set("plotgroup", "pg7");
    model.result().export("img7").set("view", "view2");
    model.result().export("img7").set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zzthermal.png");
    model.result().export("img7").set("printunit", "mm");
    model.result().export("img7").set("webunit", "px");
    model.result().export("img7").set("printheight", "90");
    model.result().export("img7").set("webheight", "1200");
    model.result().export("img7").set("printwidth", "120");
    model.result().export("img7").set("webwidth", "1200");
    model.result().export("img7").set("printlockratio", "off");
    model.result().export("img7").set("weblockratio", "off");
    model.result().export("img7").set("printresolution", "300");
    model.result().export("img7").set("webresolution", "96");
    model.result().export("img7").set("size", "manualweb");
    model.result().export("img7").set("antialias", "off");
    model.result().export("img7").set("zoomextents", "off");
    model.result().export("img7").set("title", "on");
    model.result().export("img7").set("legend", "on");
    model.result().export("img7").set("logo", "off");
    model.result().export("img7").set("options", "off");
    model.result().export("img7").set("fontsize", "9");
    model.result().export("img7").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img7").set("background", "color");
    model.result().export("img7").set("axes", "on");
    model.result().export("img7").set("qualitylevel", "92");
    model.result().export("img7").set("qualityactive", "off");
    model.result().export("img7").set("imagetype", "png");
    model.result().export("img8").label("2D Image blanked pressure");
    model.result().export("img8").set("plotgroup", "pg8");
    model.result().export("img8")
         .set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zzscattered_blanked.png");
    model.result().export("img8").set("printunit", "mm");
    model.result().export("img8").set("webunit", "px");
    model.result().export("img8").set("printheight", "90");
    model.result().export("img8").set("webheight", "1200");
    model.result().export("img8").set("printwidth", "120");
    model.result().export("img8").set("webwidth", "1200");
    model.result().export("img8").set("printlockratio", "off");
    model.result().export("img8").set("weblockratio", "off");
    model.result().export("img8").set("printresolution", "300");
    model.result().export("img8").set("webresolution", "96");
    model.result().export("img8").set("size", "manualweb");
    model.result().export("img8").set("antialias", "off");
    model.result().export("img8").set("zoomextents", "off");
    model.result().export("img8").set("title", "on");
    model.result().export("img8").set("legend", "on");
    model.result().export("img8").set("logo", "off");
    model.result().export("img8").set("options", "off");
    model.result().export("img8").set("fontsize", "9");
    model.result().export("img8").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img8").set("background", "color");
    model.result().export("img8").set("axes", "on");
    model.result().export("img8").set("qualitylevel", "92");
    model.result().export("img8").set("qualityactive", "off");
    model.result().export("img8").set("imagetype", "png");
    model.result().export("img9").label("2D Image pressure Blanked Thermal");
    model.result().export("img9").set("plotgroup", "pg9");
    model.result().export("img9")
         .set("pngfilename", "C:\\Users\\Oliver\\Desktop\\acoustics\\zztotal_blanked_thermal.png");
    model.result().export("img9").set("printunit", "mm");
    model.result().export("img9").set("webunit", "px");
    model.result().export("img9").set("printheight", "90");
    model.result().export("img9").set("webheight", "1200");
    model.result().export("img9").set("printwidth", "120");
    model.result().export("img9").set("webwidth", "1200");
    model.result().export("img9").set("printlockratio", "off");
    model.result().export("img9").set("weblockratio", "off");
    model.result().export("img9").set("printresolution", "300");
    model.result().export("img9").set("webresolution", "96");
    model.result().export("img9").set("size", "manualweb");
    model.result().export("img9").set("antialias", "off");
    model.result().export("img9").set("zoomextents", "off");
    model.result().export("img9").set("title", "on");
    model.result().export("img9").set("legend", "on");
    model.result().export("img9").set("logo", "off");
    model.result().export("img9").set("options", "off");
    model.result().export("img9").set("fontsize", "9");
    model.result().export("img9").set("customcolor", new double[]{1, 1, 1});
    model.result().export("img9").set("background", "color");
    model.result().export("img9").set("axes", "on");
    model.result().export("img9").set("qualitylevel", "92");
    model.result().export("img9").set("qualityactive", "off");
    model.result().export("img9").set("imagetype", "png");
    model.result().export("data1").label("pressure_real_scattered");
    model.result().export("data1").set("expr", new String[]{"real(acpr.p_s)*eraser"});
    model.result().export("data1").set("unit", new String[]{"Pa"});
    model.result().export("data1").set("descr", new String[]{""});
    model.result().export("data1")
         .set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\pressure_real_scattered.txt");
    model.result().export("data1").set("location", "grid");
    model.result().export("data1").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data1").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data1").set("header", false);
    model.result().export("data1").set("sort", true);
    model.result().export("data2").label("pressure_imaginary_scattered");
    model.result().export("data2").set("expr", new String[]{"imag(acpr.p_s)*eraser"});
    model.result().export("data2").set("unit", new String[]{"Pa"});
    model.result().export("data2").set("descr", new String[]{""});
    model.result().export("data2")
         .set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\pressure_imaginary_scattered.txt");
    model.result().export("data2").set("location", "grid");
    model.result().export("data2").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data2").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data2").set("header", false);
    model.result().export("data2").set("sort", true);
    model.result().export("data3").label("pressure_absolute_scattered");
    model.result().export("data3").set("expr", new String[]{"abs(acpr.p_s)*eraser"});
    model.result().export("data3").set("unit", new String[]{"Pa"});
    model.result().export("data3").set("descr", new String[]{""});
    model.result().export("data3")
         .set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\pressure_absolute_scattered.txt");
    model.result().export("data3").set("location", "grid");
    model.result().export("data3").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data3").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data3").set("header", false);
    model.result().export("data3").set("sort", true);
    model.result().export("data4").label("geometryData");
    model.result().export("data4").set("expr", new String[]{"geomFinder"});
    model.result().export("data4").set("unit", new String[]{""});
    model.result().export("data4").set("descr", new String[]{""});
    model.result().export("data4").set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\gemoetry.txt");
    model.result().export("data4").set("location", "grid");
    model.result().export("data4").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data4").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data4").set("header", false);
    model.result().export("data4").set("sort", true);
    model.result().export("data5").label("pressure_total");
    model.result().export("data5").set("expr", new String[]{"acpr.p_t*eraser"});
    model.result().export("data5").set("unit", new String[]{"Pa"});
    model.result().export("data5").set("descr", new String[]{""});
    model.result().export("data5").set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\pressure_total.txt");
    model.result().export("data5").set("location", "grid");
    model.result().export("data5").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data5").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data5").set("header", false);
    model.result().export("data5").set("sort", true);
    model.result().export("data6").label("pressure_total_blanked");
    model.result().export("data6")
         .set("expr", new String[]{"if((-blanking_limit1 <= x && x<=blanking_limit1) || (-0.08 >= x && x>=0.08), -1.5, acpr.p_t)"});
    model.result().export("data6").set("unit", new String[]{"Pa"});
    model.result().export("data6").set("descr", new String[]{""});
    model.result().export("data6")
         .set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\pressure_total_blanked.txt");
    model.result().export("data6").set("location", "grid");
    model.result().export("data6").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data6").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data6").set("header", false);
    model.result().export("data6").set("sort", true);
    model.result().export("data7").label("pressure_absolute_scattered_blanked");
    model.result().export("data7")
         .set("expr", new String[]{"if((-blanking_limit1 <= x && x<=blanking_limit1) || (x<=-0.08) || (x>= 0.08), -1.5, (abs(acpr.p_s)))"});
    model.result().export("data7").set("unit", new String[]{"Pa"});
    model.result().export("data7").set("descr", new String[]{""});
    model.result().export("data7")
         .set("filename", "C:\\Users\\oliver\\Desktop\\acoustics\\pressure_absolute_scattered_blanked.txt");
    model.result().export("data7").set("location", "grid");
    model.result().export("data7").set("gridx2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data7").set("gridy2", "range(-0.1,0.2/511,0.1)");
    model.result().export("data7").set("header", false);
    model.result().export("data7").set("sort", true);

    return model;
  }

  public static void main(String[] args) {
    Model model = run();
    run2(model);
  }

}
